<h2>Add a product</h2>
<hr />

<div>
  <form [formGroup]="addAProductForm" (ngSubmit)="submitForm()">
    <div class="form-group">
      <label for="name">Name</label>
      <input
        type="text"
        name="name"
        id="name"
        class="form-control"
        formControlName="name"
      />
    </div>
    <div class="form-group">
      <label for="price">Price</label>
      <input
        type="number"
        name="price"
        id="price"
        class="form-control"
        formControlName="price"
      />
    </div>
    <div class="form-group">
      <label for="description">Description</label>
      <textarea
        name="description"
        id="description"
        class="form-control"
        formControlName="description"
        rows="5"
      ></textarea>
    </div>

    <button
      class="btn btn-primary btn-block"
      type="submit"
      [disabled]="!addAProductForm.valid"
    >
      Add a product
    </button>
  </form>

  <div class="alert alert-danger" *ngIf="getNameErrors()?.required">
    Name is required
  </div>

  <div class="alert alert-danger" *ngIf="getPriceErrors()?.required">
    Price is required
  </div>
  <div class="alert alert-danger" *ngIf="getPriceErrors()?.min">
    Price must be at least {{ 1 | currency }}
  </div>
</div>
